## 客服后台管理系统
客服管理后台使用vue-cli(2.0)版本脚手架开发；前端一套代码，部署的时候需要分别部署到【鼎荣】和【金钱】；
### 环境配置
打包到不同的环境，需要发布到不同的地方，以下是两个环境相关的信息
#### 鼎荣
**阿里云账号**

- 账号：鼎荣小贷
- 密码：dr778899


**OSS 客户端账号**
- 账号(Key)：LTAI4FtxL8QKM2uVFG9wYumD
- 密码(Secret)：yiLj40FTxTADCu7t4duqnrtbA9nPUQ


**文件上传配置**
- region：oss-cn-hangzhou
- bucket：w-loan-static
- 访问域名：https://file.jqtianxia.com/

- region：oss-cn-hangzhou
- bucket：y-loan-resource-prod
- ~~访问域名：https://file.jqtianxia.com/~~



**生产部署**
- bucket：dr-costomer-vue
- 访问域名：https://customer.dingrongxd.com/
- API接口地址：https://drwater.dingrongxd.com

**测试部署(放到金钱下面)**
- bucket：customer-vue-test
- 访问域名：http://customertest.jqtianxia.cn/
- API接口地址：http://47.99.245.36:8202


**金钱**
- 账号：金钱天下小贷
- 密码：jqtx778899


**OSS 客户端账号**
- 账号(Key)：LTAI4Fp8aDaS8sHXV76gWPVJ
- 密码(Secret)：muNvYl9ydZqCp8we6c6WO3pLa0jRt5


**文件上传配置**
- region：oss-cn-hangzhou
- bucket：w-loan-static
- 访问域名：https://file.jqtianxia.com/


**生产部署**
- bucket：customer-vue
- 访问域名：https://customer.jqtianxia.com/
- API接口地址：https://water.jqtianxia.com

**测试部署**
- bucket：customer-vue-test
- 访问域名：http://customertest.jqtianxia.cn/
- API接口地址：http://47.99.245.36:8202



## 编译步骤

``` bash
# 安装npm依赖包
npm install

# 启动热更新服务器，读取.env.development，监听localhost:9090
npm run serve 

# 编译打包测试，读取.env.test环境配置
npm run build:test

# 编译打包到鼎荣，读取.env.dr环境配置
npm run build:dr

# 编译打包到金钱，读取.env.production环境配置
npm run build:prod 
```

## 代码结构
```angular2html
|————public（静态资源，打包的时候会全部copy到dist文件夹下）
|
|————src
|     |——components（组件&页面）
|     |——mixins（混入
|     |——router（路由
|     |——store（没用到）
|     |——styles（全局样式）
|     |——utils（封装的JS方法)
|     |——App.vue（母版）
|     |——main.js（入口文件）
|————.env.*（不同环境的配置文件）
|
|————package.json
|
|————vue.config.js
|
|————其它不重要的文件
|
|
```
## 业务功能模块
- 客服管理
    - 客服管理
    - 客服反馈
    - 客户管理
    - 风险客户
- 系统配置
    - 用户管理
- 资方管理
    - 资方管理
- 减免单管理
    - 创建减免单

